# -*- coding: utf-8 -*-
import os
from flask import Flask, Blueprint, abort, current_app, request, render_template, send_from_directory
from datetime import datetime, date


main = Blueprint('main', __name__)

@main.route('/repositorio')
def repositorio():
    return render_template('repositorio.html')

@main.route('/objetivos')
def about():
    return render_template('objetivos.html')

@main.route('/')
def home():
    return render_template('home.html')

@main.route('/static/<path:path>')
def static(path):
    return send_from_directory('static', path)

@main.route('/fonts/<path:path>')
def static_fonts(path):
    return send_from_directory('static/fonts', path)

@main.route('/favicon.ico')
def favicon():
    return send_from_directory(os.path.join(current_app.root_path, 'static'), 'favicon.ico', mimetype='image/vnd.microsoft.icon')
